SharePoint Online (v2)

Integrate your application with the SharePoint Online (v2) API

🚀 Quickstart

Connect to SharePoint Online (v2) with Tenklo and see data flow in 2 minutes.

Create an integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> SharePoint Online (v2).

Authorize SharePoint Online (v2)

Go to Connections -> Add Test Connection -> Authorize, then log in to SharePoint Online. Later, you'll let your users do the same directly from your app.

Call the SharePoint Online (v2) API

Let's make your first request to the SharePoint Online (Microsoft Graph) API (fetch a list of all available sites in an organization). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v1.0/sites" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials dynamically via the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 SharePoint Online (v2) Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Microsoft Graph API documentation

🧩 Pre-built syncs & actions for SharePoint Online (v2)

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
add-content-type-to-listAssociate a content type with a SharePoint list.Action🔗 Github
add-drive-item-permissionInvite users or groups to access a drive item.Action🔗 Github
copy-drive-itemCopy a file or folder to another location in a site drive.Action🔗 Github
create-content-typeCreate a content type on a SharePoint site.Action🔗 Github
create-drive-folderCreate a folder in a SharePoint document library.Action🔗 Github
create-drive-upload-sessionStart a large file upload session in a site drive.Action🔗 Github
create-list-columnCreate a column on a SharePoint list.Action🔗 Github
create-list-itemCreate an item in a SharePoint list.Action🔗 Github
create-listCreate a SharePoint list on a siteAction🔗 Github
create-sharing-linkCreate a shareable link for a drive item.Action🔗 Github
create-site-columnCreate a site-level column definition on a SharePoint site.Action🔗 Github
create-site-pageCreate a modern site page.Action🔗 Github
delete-content-typeDelete a content type from a SharePoint site.Action🔗 Github
delete-drive-itemDelete a file or folder from a site drive.Action🔗 Github
delete-list-columnDelete a column from a SharePoint list.Action🔗 Github
delete-list-itemDelete an item from a SharePoint list.Action🔗 Github
delete-listDelete a SharePoint list.Action🔗 Github
delete-site-columnDelete a site-level column definition.Action🔗 Github
delete-site-pageDelete a site page.Action🔗 Github
download-drive-item-contentDownload the file content of a SharePoint drive itemAction🔗 Github
get-content-typeRetrieve a single content type from a SharePoint site.Action🔗 Github
get-drive-item-thumbnailRetrieve thumbnail URLs for a drive item.Action🔗 Github
get-drive-itemRetrieve a file or folder from a site drive.Action🔗 Github
get-driveRetrieve a site drive by ID.Action🔗 Github
get-list-itemRetrieve a SharePoint list item by ID.Action🔗 Github
get-listRetrieve a SharePoint list by ID.Action🔗 Github
get-site-pageRetrieve a site page by ID.Action🔗 Github
get-siteRetrieve a SharePoint site by ID or path.Action🔗 Github
list-content-typesList content types defined on a SharePoint site.Action🔗 Github
list-drive-childrenList items under a folder in a site drive.Action🔗 Github
list-drive-item-permissionsList all permissions on a drive item.Action🔗 Github
list-drive-item-versionsList the version history of a drive item.Action🔗 Github
list-drivesList document libraries on a site.Action🔗 Github
list-list-columnsList columns on a SharePoint list.Action🔗 Github
list-list-content-typesList the content types associated with a SharePoint list.Action🔗 Github
list-list-itemsList items in a SharePoint listAction🔗 Github
list-listsList SharePoint lists on a site.Action🔗 Github
list-shared-sitesList SharePoint sites for user selection workflows.Action🔗 Github
list-site-columnsList site-level column definitions on a SharePoint site.Action🔗 Github
list-site-pagesList modern site pages on a site.Action🔗 Github
publish-site-pagePublish a site page.Action🔗 Github
remove-drive-item-permissionRemove a permission from a drive item.Action🔗 Github
restore-drive-item-versionRestore a previous version of a drive item.Action🔗 Github
search-drive-itemsSearch for files and folders within a site drive.Action🔗 Github
search-sitesSearch for sites by keyword.Action🔗 Github
update-drive-item-permissionUpdate an existing permission on a drive item.Action🔗 Github
update-drive-itemRename or move a file or folder in a site drive.Action🔗 Github
update-list-columnUpdate a SharePoint list column.Action🔗 Github
update-list-itemUpdate fields on a SharePoint list item.Action🔗 Github
update-listUpdate mutable list properties.Action🔗 Github
update-site-columnUpdate a site-level column definition.Action🔗 Github
update-site-pageUpdate a modern site page draft.Action🔗 Github
upload-drive-itemUpload small file content directly to a site drive (≤4 MB). For larger files use create-drive-upload-session.Action🔗 Github
content-typesSync content type definitions for configured sites.Sync🔗 Github
drive-item-versionsSync version history for drive items in configured site drivesSync🔗 Github
drive-itemsSync files and folders from selected site drivesSync🔗 Github
drivesSync document libraries for selected sitesSync🔗 Github
list-columnsSync SharePoint list schemas.Sync🔗 Github
list-itemsSync items from selected SharePoint lists.Sync🔗 Github
listsSync SharePoint lists for selected sites.Sync🔗 Github
permissionsSync permission grants on drive items for configured site drives.Sync🔗 Github
shared-sites-selectionSync selected files from chosen SharePoint shared sites.Sync🔗 Github
site-columnsSync site-level column definitions for configured sites.Sync🔗 Github
site-pagesSync modern site pages for selected sites.Sync🔗 Github
sitesSync targeted SharePoint sites.Sync🔗 Github
subsitesSync subsites under selected parent sites.Sync🔗 Github
user-files-selectionSync selected user files from SharePoint.Sync🔗 Github
user-filesSync file metadata from user-accessible SharePoint files.Sync🔗 Github

Questions? Join us in the Slack community.


On this page